#' Bacterial OTUs.
#'
#' A dataset containing the OTUs (Operational Taxonomic Units) of 229 bacteria.
#'
#' @format The original data set is a skin microbiome from the National Human Genome Research Institute [1,2], which contains 229 bacterial and
#' fungal OTUs. The OTU data attached to this package is a data frame with 229 rows and 354 columns, where each row means one kind of bacteria and
#' each column represents a feature.
#' The first column \code{x} is the name of the bacteria. The rest of columns are the total number of reads for different features.
#' For example, the second column is the total number of reads for feature 'Center.Back.01', and so forth.
#'
#' @source
#' \itemize{
#' \item{1. K. Findley, J. Oh, J. Yang, S. Conlan, C. Deming, J.A. Meyer, et al (2013). Human skin fungal diversity, Nature, 498:367--70. }
#' \item{2. E.A. Grice, H.H. Kong, S. Conlan, C.B. Deming, J. Davis, A.C. Young, et al (2009). Topographical and temporal diversity of the human skin
#' microbiome, Science, 324:1190--2.}}
#'
'OTU'

